<div class="row m-0 login">
    <div [ngSwitch]="isAuthenticated()">
        <div *ngSwitchCase="false">
            <div class="card">
                <div class="card-header"><h4>Nollysoft PCIDSS Assessment App</h4></div>
                <div class="card-body">
                    <jhi-alert></jhi-alert>
                    <div class="m-lg-5 p-3 section-login">
                        <form class="form" role="form" #signInForm="ngForm">
                            <div class="d-flex sign-in"><span>Sign In</span></div>
                            <div class="p-3">
                                <div class="d-flex m-2 mb-3 form-group">
                                    <div class="col-3"><label for="username" jhiTranslate="global.form.username">Username:</label>
                                    </div>
                                    <div class="col-9"><input type="text" class="form-control" name="userameField"
                                                              id="username"
                                                              [(ngModel)]="username" #userameField="ngModel" required>
                                        <div *ngIf="!userameField.valid && submitted"
                                             class="alert alert-danger error-msg">
                                            <div [hidden]="!userameField.hasError('required')">Username is required!!
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="d-flex m-2 form-group">
                                    <div class="col-3"><label for="password" jhiTranslate="login.form.password">Password:</label>
                                    </div>
                                    <div class="col-9"><input type="password" class="form-control" name="passwordField"
                                                              id="password"
                                                              [(ngModel)]="password" #passwordField="ngModel" required>
                                        <div *ngIf="!passwordField.valid && submitted"
                                             class="alert alert-danger error-msg">
                                            <div [hidden]="!passwordField.hasError('required')">Password is required!!
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                <div class="d-flex m-2 form-group">
                                    <div class="col-3"></div>
                                    <div class="col-9 d-flex">
                                        <input type="checkbox" id="rememberMe" name="remember" [(ngModel)]="rememberMe">
                                        <label class="remember" for="rememberMe">Remember me</label>
                                    </div>
                                </div>
                                <div class="d-flex m-2 form-group">
                                    <div class="col-3"></div>
                                    <div class="col-9">
                                        <div class="pull-right">
                                            <input type="submit" [class.disabled]="!isFormDirty()" (click)="login()" class="sign-in-btn btn-primary" value="Sign In">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div><a routerLink="/reset/request">Forgot password ?</a></div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
